package paxos

/*
The file captures all Paxos Ops.
*/


/*
The data structure that captures all operations and members involved in a
Paxos Prepare Op. The Prepare Op can only be generated by a Paxos peer
starting/retrying a Paxos instance transaction.
*/
type PaxosPrepareOp struct {

}

func NewPaxosPrepareOp() *PaxosPrepareOp {
	return nil;
}

func (prepareOp *PaxosPrepareOp) Execute() {

}

func (prepareOp *PaxosPrepareOp) DoneCallback() {

}


/*
The data structure that captures all operations and members involved in handling
a Prepare Op. The Handle Prepare Op is generated by a Paxos peer once it
receives a Prepare message from a peer.
*/
type PaxosLocalHandlePrepareOp struct {

}

func NewPaxosLocalHandlePrepareOp() *PaxosLocalHandlePrepareOp {
	return nil;
}

func (prepareHandleOp *PaxosLocalHandlePrepareOp) Execute() {

}

func (prepareHandleOp *PaxosLocalHandlePrepareOp) DoneCallback() {

}


/*
The data structure that captures all operations and members involved in handling
a Prepare Op. The Handle Prepare Op is generated by a Paxos peer once it
receives a Prepare message from a peer.
*/
type PaxosRemoteHandlePrepareOp struct {

}

func NewPaxosRemoteHandlePrepareOp() *PaxosRemoteHandlePrepareOp {
	return nil;
}

func (prepareHandleOp *PaxosRemoteHandlePrepareOp) Execute() {

}

func (prepareHandleOp *PaxosRemoteHandlePrepareOp) DoneCallback() {

}


/*
The data structure that captures all operations and members involved in an
Accept Op. The Accept Op is generated by a Paxos peer when it wants to initiate
the accept phase.
*/
type PaxosAcceptOp struct {

}

func NewPaxosAcceptOp() *PaxosAcceptOp {
	return nil;
}

func (acceptOp *PaxosAcceptOp) Execute() {

}

func (acceptOp *PaxosAcceptOp) DoneCallback() {

}


/*
The data structure that captures all operations and members involved in handling
an Accept Op. The Handle Accept Op is generated by a Paxos peer once it
receives an Accept message from a peer.
*/
type PaxosLocalHandleAcceptOp struct {

}

func NewPaxosLocalHandleAcceptOp() *PaxosLocalHandleAcceptOp {
	return nil;
}

func (acceptHandleOp *PaxosLocalHandleAcceptOp) Execute() {

}

func (acceptHandleOp *PaxosLocalHandleAcceptOp) DoneCallback() {

}


/*
The data structure that captures all operations and members involved in handling
an Accept Op. The Handle Accept Op is generated by a Paxos peer once it
receives an Accept message from a peer.
*/
type PaxosRemoteHandleAcceptOp struct {

}

func NewPaxosRemoteHandleAcceptOp() *PaxosRemoteHandleAcceptOp {
	return nil;
}

func (acceptHandleOp *PaxosRemoteHandleAcceptOp) Execute() {

}

func (acceptHandleOp *PaxosRemoteHandleAcceptOp) DoneCallback() {

}
